namespace Zadatak03
{
    public partial class Form1 : Form
    {
        private Random rand = new Random();

        public Form1()
        {
            InitializeComponent();
            CenterButton();
        }

        private void CenterButton()
        {
            int formWidth = this.ClientSize.Width;
            int formHeight = this.ClientSize.Height;

            int buttonWidth = btnChangeColorSize.Width;
            int buttonHeight = btnChangeColorSize.Height;

            int x = (formWidth - buttonWidth) / 2;
            int y = (formHeight - buttonHeight) / 2;

            btnChangeColorSize.Location = new Point(x, y);
        }

        private void ChangeColorAndSize(object sender, EventArgs e)
        {
            this.BackColor = GetRandomColor();
        }

        private Color GetRandomColor()
        {
            // random izmedju 0 i 255
            int r = rand.Next(0, 256);
            int g = rand.Next(0, 256);
            int b = rand.Next(0, 256);

            return Color.FromArgb(r, g, b);
        }
    }
}
